## org.apache.batik.dom
Class AbstractDOMImplementation

    java.lang.Object
      org.apache.batik.dom.AbstractDOMImplementation

All Implemented Interfaces:
  java.io.Serializable, org.w3c.dom.DOMImplementation

Direct Known Subclasses:
  ExtensibleDOMImplementation, GenericDOMImplementation

    public abstract class AbstractDOMImplementation

extends java.lang.Object
implements org.w3c.dom.DOMImplementation, java.io.Serializable

This class implements the `DOMImplementation`, `DOMImplementationCSS` interfaces.

See Also:
  Serialized Form

Field Summary
`protected HashTable` `features` The supported features.

Constructor Summary
`protected` `AbstractDOMImplementation()` Creates a new AbstractDOMImplementation object.

Method Summary
`DocumentEventSupport` `createDocumentEventSupport()` Creates an DocumentEventSupport object suitable for use with this implementation.
`EventSupport` `createEventSupport(AbstractNode n)` Creates an EventSupport object for a given node.
`java.lang.Object` `getFeature(java.lang.String feature, java.lang.String version)` DOM: Implements `DOMImplementation.getFeature(String,String)`.
`boolean` `hasFeature(java.lang.String feature, java.lang.String version)` DOM: Implements `DOMImplementation.hasFeature(String,String)`.
`protected void` `registerFeature(java.lang.String name, java.lang.Object value)` Registers a DOM feature.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType`

Field Detail

### features

    protected final HashTable features

  The supported features.

Constructor Detail

### AbstractDOMImplementation

    protected AbstractDOMImplementation()

  Creates a new AbstractDOMImplementation object.

Method Detail

### registerFeature

    protected void registerFeature(java.lang.String name,
                                   java.lang.Object value)

  Registers a DOM feature.

### hasFeature

    public boolean hasFeature(java.lang.String feature,
                              java.lang.String version)

  DOM: Implements `DOMImplementation.hasFeature(String,String)`.

  Specified by:
    `hasFeature` in interface `org.w3c.dom.DOMImplementation`

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

  DOM: Implements `DOMImplementation.getFeature(String,String)`. No compound document support, so just return this DOMImlpementation where appropriate.

  Specified by:
    `getFeature` in interface `org.w3c.dom.DOMImplementation`

### createDocumentEventSupport

    public DocumentEventSupport createDocumentEventSupport()

  Creates an DocumentEventSupport object suitable for use with this implementation.

### createEventSupport

    public EventSupport createEventSupport(AbstractNode n)

  Creates an EventSupport object for a given node.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.